Bug 23182 - x11/eterm missing dependency, fix pkg-plist for NOPORTDOCS
Summary: x11/eterm missing dependency, fix pkg-plist for NOPORTDOCS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-11-29 22:50 UTC by Jimmy Olgeni
Modified: 2001-02-01 19:57 UTC (History)
0 users

See Also:


Attachments
file.diff (2.19 KB, patch)
2000-11-29 22:50 UTC, Jimmy Olgeni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni 2000-11-29 22:50:01 UTC
The current x11/eterm port is missing a dependency on textproc/man2html: it
looks for it while building Eterm.1.html, which should go in
${PREFIX}/share/doc/Eterm. This has already been fixed in japanese/eterm
(ports/20568).

Maintainer notified on 23 Nov 2000 about man2html.

But this is better since it handles NOPORTDOCS :-)

Makefile:

	* Bump PORTREVISION
	* Add BUILD_DEPENDS: textproc/man2html
	* Add NOPORTDOCS hint in PLIST_SUB

	post-install:
		* Install Eterm.1.html too

pkg-plist:

	* Add share/doc/Eterm/Eterm.1.html
	* Support %%NOPORTDOCS%%
Comment 1 Steve Price freebsd_committer 2000-12-11 01:47:44 UTC
Responsible Changed
From-To: freebsd-ports->murray

Over to port's maintainer.
Comment 2 Jimmy Olgeni freebsd_committer 2001-02-01 16:48:44 UTC
Responsible Changed
From-To: murray->olgeni

I'll handle this.
Comment 3 Jimmy Olgeni freebsd_committer 2001-02-01 19:56:36 UTC
State Changed
From-To: open->closed

Fix committed. 
NOPORTDOCS has been changed to PORTDOCS, to follow bsd.port.mk